Loading...
Searching...
No Matches
Extrema< ValueT, 0 > Class Template Reference

Template specialization of Extrema on scalar value types, i.e. rank = 0. More...

`#include <nanovdb/util/GridStats.h>`

Inheritance diagram for Extrema< ValueT, 0 >:

## Public Types

using | ValueType = ValueT

## Public Member Functions

| Extrema ()
| Extrema (const ValueT &v)
| Extrema (const ValueT &a, const ValueT &b)
Extrema & | operator= (const Extrema &)=default
Extrema & | min (const ValueT &v)
Extrema & | max (const ValueT &v)
Extrema & | add (const ValueT &v)
Extrema & | add (const ValueT &v, uint64_t)
Extrema & | add (const Extrema &other)
const ValueT & | min () const
const ValueT & | max () const
| operator bool () const

## Static Public Member Functions

static constexpr bool | hasMinMax ()
static constexpr bool | hasAverage ()
static constexpr bool | hasStdDeviation ()
static constexpr size_t | size ()

## Protected Attributes

ValueT | mMin
ValueT | mMax

## Detailed Description

template<typename ValueT>
class nanovdb::Extrema< ValueT, 0 >

Template specialization of Extrema on scalar value types, i.e. rank = 0.

## Member Typedef Documentation

## ValueType

template<typename ValueT>

using ValueType = ValueT

## Constructor & Destructor Documentation

## Extrema() [1/3]

template<typename ValueT>

Extrema | ( |  | ) |

inline

## Extrema() [2/3]

template<typename ValueT>

Extrema | ( | const ValueT & | v | ) |

inline

## Extrema() [3/3]

template<typename ValueT>

Extrema | ( | const ValueT & | a,
|  | const ValueT & | b )

inline

## Member Function Documentation

## add() [1/3]

template<typename ValueT>

Extrema & add | ( | const Extrema< ValueT, 0 > & | other | ) |

inline

## add() [2/3]

template<typename ValueT>

Extrema & add | ( | const ValueT & | v | ) |

inline

## add() [3/3]

template<typename ValueT>

Extrema & add | ( | const ValueT & | v,
|  | uint64_t | )

inline

## hasAverage()

template<typename ValueT>

constexpr bool hasAverage | ( |  | ) |

inline static constexpr

## hasMinMax()

template<typename ValueT>

constexpr bool hasMinMax | ( |  | ) |

inline static constexpr

## hasStdDeviation()

template<typename ValueT>

constexpr bool hasStdDeviation | ( |  | ) |

inline static constexpr

## max() [1/2]

template<typename ValueT>

const ValueT & max | ( |  | ) | const

inline

## max() [2/2]

template<typename ValueT>

Extrema & max | ( | const ValueT & | v | ) |

inline

## min() [1/2]

template<typename ValueT>

const ValueT & min | ( |  | ) | const

inline

## min() [2/2]

template<typename ValueT>

Extrema & min | ( | const ValueT & | v | ) |

inline

## operator bool()

template<typename ValueT>

operator bool | ( |  | ) | const

inline

## operator=()

template<typename ValueT>

Extrema & operator= | ( | const Extrema< ValueT, 0 > & |  | ) |

default

## size()

template<typename ValueT>

constexpr size_t size | ( |  | ) |

inline static constexpr

## Member Data Documentation

## mMax

template<typename ValueT>

ValueT mMax

protected

## mMin

template<typename ValueT>

ValueT mMin

protected